%define version 1.03
%define name viruskiller

Summary: A Shoot 'Em Up that uses your file system
Name: %{name}
Version: %{version}
Release: %mkrel 2
Source: %{name}-%{version}_1.tar.gz
Patch:	%{name}-1.03_makefile.patch
URL: http://www.parallelrealities.co.uk/projects/virusKiller.php
Group: Games/Arcade
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot


%description
A virus killing simulation, that makes use of your own file system


%prep
%setup -q
%patch -p0 -b .backup

%build
make

%install
rm -fr %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%dir /usr/games
%dir %_datadir/games/viruskiller
%dir %_datadir/doc/%{name}
/usr/games/%{name}
%_datadir/games/viruskiller/%{name}.pak
%_datadir/doc/%{name}/*
%_datadir/applications/viruskiller.desktop
%_datadir/icons/hicolor/16x16/apps/viruskiller.png
%_datadir/icons/hicolor/32x32/apps/viruskiller.png
%_datadir/icons/hicolor/64x64/apps/viruskiller.png

%changelog
* Mon Aug 15 2011 Ertain <sirius-C at iname.com> 1.03-1pclos2011
- Initial packge
